Package net.shibboleth.idp.installer.plugin.impl

# Class PluginInstallerArguments

java.lang.Object
net.shibboleth.shared.cli.AbstractCommandLineArguments
net.shibboleth.idp.cli.AbstractIdPHomeAwareCommandLineArguments
net.shibboleth.idp.installer.plugin.impl.PluginInstallerArguments

All Implemented Interfaces:
  `CommandLineArguments`

public class PluginInstallerArguments extends AbstractIdPHomeAwareCommandLineArguments
Arguments for Plugin Installer CLI.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`PluginInstallerArguments.OperationType`
Operation enum.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`contentsList`
Contents to list.
`private String`
`forceUpdateVersion`
Force update version.
`private boolean`
`fullList`
Detailed info about installed plugins.
`private String`
`input`
What to install.
`private Path`
`inputDirectory`
Decomposed input - directory .
`private String`
`inputName`
Decomposed input - name.
`private URL`
`inputURL`
Decomposed input - base URL.
`private String`
`installId`
What to install.
`private String`
`license`
List License.
`private boolean`
`list`
Brief info about installed plugins.
`private boolean`
`listAvailable`
Brief info about installed plugins.
`private org.slf4j.Logger`
`log`
Logger.
`private boolean`
`noCheck`
Override version check.
`private boolean`
`noPrompt`
Suppress Prompts.
`private boolean`
`noRebuild`
Override version check.
`private PluginInstallerArguments.OperationType`
`operation`
What to do.
`private String`
`pluginId`
The PluginId - usually used to drive the update.
`private String`
`truststore`
Truststore to use for signing.
`private String`
`uninstallId`
Id to remove.
`private String`
`updatePluginId`
Update plugin Id.
`private String`
`updateURL`
location to override the plugin supplied location.
`private InstallableComponentVersion`
`updateVersion`
The `forceUpdateVersion` as a `InstallableComponentVersion`.

## Constructor Summary

Constructors
Constructor
Description
`PluginInstallerArguments()`

## Method Summary

Modifier and Type
Method
Description
`private PluginInstallerArguments.OperationType`
`decodeInput()`
Given an input string, work out what the parts are.
`Path`
`getInputDirectory()`
Get the digested input directory.
`String`
`getInputFileName()`
Get the file Name.
`URL`
`getInputURL()`
Get the digested parent URL.
`org.slf4j.Logger`
`getLog()`
`PluginInstallerArguments.OperationType`
`getOperation()`
Get operation to perform.
`String`
`getPluginId()`
Plugin Id (if specified).
`String`
`getTruststore()`
get TrustStore (if specified).
`String`
`getUpdateURL()`
return the update URL or null.
`InstallableComponentVersion`
`getUpdateVersion()`
Return the version to update to or null.
`boolean`
`isFullList()`
Are we doing a full List?
`boolean`
`isInstallId()`
Are we going to install from the pluginId?
`boolean`
`isList()`
Are we doing a List?
`boolean`
`isListAvailable()`
Are we going to list everything from the remote site?
`boolean`
`isNoCheck()`
Are we checking the version or not?
`boolean`
`isRebuild()`
Do we rebuild the war?
`boolean`
`isUnattended()`
Are we doing an unattended install?
`void`
`printHelp(PrintStream out)`
`void`
`validate()`

### Methods inherited from class net.shibboleth.idp.cli.AbstractIdPHomeAwareCommandLineArguments

`getHttpClientName, getHttpClientSecurityParameterstName, getIdPHome, setHttpClientName`

### Methods inherited from class net.shibboleth.shared.cli.AbstractCommandLineArguments

`getLanguageRanges, getLoggingConfiguration, getOtherArgs, getPropertyFiles, isANSI, isHelp, isQuietOutput, isVerboseOutput, isVersion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nullable private org.slf4j.Logger log
Logger.

### pluginId

@Nullable private String pluginId
The PluginId - usually used to drive the update.

### noPrompt

private boolean noPrompt
Suppress Prompts.

### list

private boolean list
Brief info about installed plugins.

### listAvailable

private boolean listAvailable
Brief info about installed plugins.

### noCheck

private boolean noCheck
Override version check.

### fullList

private boolean fullList
Detailed info about installed plugins.

### license

@Nullable private String license
List License.

### input

@Nullable private String input
What to install.

### installId

@Nullable private String installId
What to install.

### truststore

@Nullable private String truststore
Truststore to use for signing.

### updatePluginId

@Nullable private String updatePluginId
Update plugin Id.

### forceUpdateVersion

@Nullable private String forceUpdateVersion
Force update version.

### uninstallId

@Nullable private String uninstallId
Id to remove.

### contentsList

@Nullable private String contentsList
Contents to list.

### updateURL

@Nullable private String updateURL
location to override the plugin supplied location.

### noRebuild

private boolean noRebuild
Override version check.

### updateVersion

@Nullable private InstallableComponentVersion updateVersion
The `forceUpdateVersion` as a `InstallableComponentVersion`.

### inputName

@Nullable private String inputName
Decomposed input - name.

### inputDirectory

@Nullable private Path inputDirectory
Decomposed input - directory .

### inputURL

@Nullable private URL inputURL
Decomposed input - base URL.

### operation

@Nonnull private PluginInstallerArguments.OperationType operation
What to do.

## Constructor Details

### PluginInstallerArguments

public PluginInstallerArguments()

## Method Details

### getLog

@Nonnull public org.slf4j.Logger getLog()

Specified by:
  `getLog` in class `AbstractCommandLineArguments`

### getPluginId

@Nullable public String getPluginId()
Plugin Id (if specified).

Returns:
  plugin ID

### getTruststore

@Nullable public String getTruststore()
get TrustStore (if specified).

Returns:
  the trust store

### getInputURL

@Nonnull public URL getInputURL()
Get the digested parent URL.

Returns:
  Returns the digested parent URL. Only valid for `PluginInstallerArguments.OperationType.INSTALLREMOTE`.

### getInputFileName

@Nonnull public String getInputFileName()
Get the file Name. Only valid for `PluginInstallerArguments.OperationType.INSTALLDIR` and `PluginInstallerArguments.OperationType.INSTALLREMOTE`.

Returns:
  Returns the digested file Name.

### getInputDirectory

@Nonnull public Path getInputDirectory()
Get the digested input directory. Only valid for `PluginInstallerArguments.OperationType.INSTALLDIR`.

Returns:
  Returns the digested input directory.

### isFullList

public boolean isFullList()
Are we doing a full List?

Returns:
  whether we're doing a full list.

### isListAvailable

public boolean isListAvailable()
Are we going to list everything from the remote site?

Returns:
  listAvailable.

### isInstallId

public boolean isInstallId()
Are we going to install from the pluginId?

Returns:
  whether the user specified `installId`

### isList

public boolean isList()
Are we doing a List?

Returns:
  whether we're doing a list

### isNoCheck

public boolean isNoCheck()
Are we checking the version or not?

Returns:
  noCheck.

### isUnattended

public boolean isUnattended()
Are we doing an unattended install?

Returns:
  whether we're doing an unattended install

### getUpdateVersion

@Nullable public InstallableComponentVersion getUpdateVersion()
Return the version to update to or null.

Returns:
  the version or null

### getUpdateURL

@Nullable public String getUpdateURL()
return the update URL or null.

Returns:
  null or the value supplied

### getOperation

@Nonnull public PluginInstallerArguments.OperationType getOperation()
Get operation to perform.

Returns:
  operation

### isRebuild

public boolean isRebuild()
Do we rebuild the war?

Returns:
  whether we do or not

### validate

public void validate() throws IllegalArgumentException

Specified by:
  `validate` in interface `CommandLineArguments`
Overrides:
  `validate` in class `AbstractCommandLineArguments`
Throws:
  `IllegalArgumentException`

### decodeInput

@Nonnull private PluginInstallerArguments.OperationType decodeInput()
Given an input string, work out what the parts are.

Returns:
  Whether this is a remote install or a local one.

### printHelp

public void printHelp(@Nonnull PrintStream out)

Specified by:
  `printHelp` in interface `CommandLineArguments`
Overrides:
  `printHelp` in class `AbstractIdPHomeAwareCommandLineArguments`